apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: metallb
  namespace: argocd
spec:
  project: tools
  source:
    repoURL: {{git.url}}
    targetRevision: HEAD
    path: mlaas/tools/metallb
  destination:
    server: https://kubernetes.default.svc
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
